﻿/**Begin D:\PDM_UPGRADE\PDM1\TDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_TDM_DC_BALANCE', 'T_TDM_DC_BALANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_BALANCE' AND KSQL_INDNAME = 'IDX_T_TDM_DC_BALANCE_1') CREATE INDEX IDX_T_TDM_DC_BALANCE_1 ON T_TDM_DC_BALANCE ( FRESULTID ,FTOTALID );


 EXEC P_ALTERPK 'PK_TDM_DC_BALANCESUM', 'T_TDM_DC_BALANCESUM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_BALANCESUM' AND KSQL_INDNAME = 'IDX_T_TDM_DC_BALANCESUM_1') CREATE INDEX IDX_T_TDM_DC_BALANCESUM_1 ON T_TDM_DC_BALANCESUM ( FRESULTID ,FORGID ,FPERIODNUMBER ,FACCOUNTNUMBER );


 EXEC P_ALTERPK 'PK_TDM_DC_RESULT', 'T_TDM_DC_RESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_RESULT' AND KSQL_INDNAME = 'IDX_T_TDM_DC_RESULT_1') CREATE INDEX IDX_T_TDM_DC_RESULT_1 ON T_TDM_DC_RESULT ( FBILLNO );


 EXEC P_ALTERPK 'PK_TDM_DC_RESULTLOG', 'T_TDM_DC_RESULTLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_RESULTLOG' AND KSQL_INDNAME = 'IDX_T_TDM_DC_RESULTLOG_1') CREATE INDEX IDX_T_TDM_DC_RESULTLOG_1 ON T_TDM_DC_RESULTLOG ( FRESULTID );


 EXEC P_ALTERPK 'PK_TDM_DC_SCHEME', 'T_TDM_DC_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_SCHEME' AND KSQL_INDNAME = 'IDEX_T_TDM_DC_SCHEME_1') CREATE INDEX IDEX_T_TDM_DC_SCHEME_1 ON T_TDM_DC_SCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_TDM_DC_SCHEME_L', 'T_TDM_DC_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_SCHEME_L' AND KSQL_INDNAME = 'IDX_TDM_DC_SCHEME_L_0') CREATE INDEX IDX_TDM_DC_SCHEME_L_0 ON T_TDM_DC_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TDM_DC_VOUCHER', 'T_TDM_DC_VOUCHER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_VOUCHER' AND KSQL_INDNAME = 'IDX_T_TDM_DC_VOUCHER_1') CREATE INDEX IDX_T_TDM_DC_VOUCHER_1 ON T_TDM_DC_VOUCHER ( FRESULTID ,FTOTALID );


 EXEC P_ALTERPK 'PK_TDM_DC_VOUCHERSUM', 'T_TDM_DC_VOUCHERSUM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TDM_DC_VOUCHERSUM' AND KSQL_INDNAME = 'IDEX_T_TDM_DC_VOUCHERSUM_1') CREATE INDEX IDEX_T_TDM_DC_VOUCHERSUM_1 ON T_TDM_DC_VOUCHERSUM ( FRESULTID ,FORGID ,FPERIODNUMBER ,FACCOUNTNUMBER );



/**End D:\PDM_UPGRADE\PDM1\TDM_constraint.sql **/
